barplot.ProbeSet {affy} | R Documentation

## show a ProbeSet as barplots

### Description

displays the probe intensities in a ProbeSet as a barplots

### Usage

    ## S3 method for class 'ProbeSet':
    barplot(height, xlab = "Probe pair", ylab = "Intensity", main =
    NA, col.pm = "red", col.mm = "blue", beside = TRUE, names.arg = "pp",
    ask = TRUE, scale, ...)

### Arguments

`height` | an object of class `ProbeSet`
`xlab` | label for x axis
`ylab` | label for y axis
`main` | main label for the figure
`col.pm` | color for the `pm' intensities
`col.mm` | color for the `mm' intensities
`beside` | bars beside eachothers or not
`names.arg` |
`ask` | ask before ploting the next barplot
`scale` | put all the barplot to the same scale
`...` | extra parameters to be passed to `barplot`

### Examples

    if (require(affydata)) {
      data(Dilution)
      gn <- geneNames(Dilution)
      pps <- probeset(Dilution, gn[1])[[1]]

      barplot.ProbeSet(pps)
    }

[Package affy version 1.22.1 Index]